Subject: tar under NT unable to make raw floppies
From: [email-masked] (Erik Andersen)

12 Feb 1997 01:21:51 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0Gold (WinNT; I)
Original-To: [email-masked]
Original-Sender: [email-masked]

GNU tar under UN*X can use the command:
	tar cvf /dev/floppy0 some_file_named_foo
to drop a copy of "some_file_named_foo" onto a floppy in raw format. 
This file can then later be read directly from the floppy in a similar
manner.  This is most helpful when dropping .tar.gz files to floppy. 
There is no current equivalent for the NT version.  It would be very
nice to be able to do this under NT so that NT could product floppies to
distribute UNIX software.  I just happened to have a spare file, and a
spare floppy sitting around, and so I tried it.  Currently, under cygnus
tar (from the 17.1 release) doing a:
	tar cvf a: gzip.tar.gz
results in:

(tar.exe 1012) In cygwin_except_handler
(tar.exe 1012) Exception trapped!
(tar.exe 1012) exception C0000005 at 40D29D
(tar.exe 1012) exception: ax 0 bx 25E300E cx 242FB92 dx 25E300D
(tar.exe 1012) exception: si 5 di 100113BF bp 242F618 sp 242F5B4
(tar.exe 1012) exception is: STATUS_ACCESS_VIOLATION
(tar.exe 1012) Stack trace:
(tar.exe 1012) frame 0: sp = 0x242F3F0, pc = 0x1001282A
(tar.exe 1012) frame 1: sp = 0x242F40C, pc = 0x77FA9182
(tar.exe 1012) frame 2: sp = 0x242F430, pc = 0x77FA037B
(tar.exe 1012) frame 3: sp = 0x242F4B4, pc = 0x77F903C2
(tar.exe 1012) frame 4: sp = 0x242F618, pc = 0x4022D0
(tar.exe 1012) frame 5: sp = 0x242F678, pc = 0x40512A
(tar.exe 1012) frame 6: sp = 0x242F694, pc = 0x41110F
(tar.exe 1012) frame 7: sp = 0x242F6A0, pc = 0x10011BEB
(tar.exe 1012) frame 8: sp = 0x242FFCC, pc = 0x10011BFF
(tar.exe 1012) frame 9: sp = 0x242FFD8, pc = 0x427A68
(tar.exe 1012) frame 10: sp = 0x242FFE8, pc = 0x401012
(tar.exe 1012) frame 11: sp = 0x242FFF0, pc = 0x0
(tar.exe 1012) End of stack trace

I would guess that merging the "rawrite2" DOS program (GPLed, and often
distributed with various Linux distributions for writing kernel image
files directly to floppy) may do the trick here.  Unfortunatly, I know
mostly nothing of porting DOS apps to NT, and so I can't help too much
here.  Anyway, any replies, thoughts, comments, or bribes to:

 -Erik
[email-masked]
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".